Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1155365 - CVE-2014-8326 phpMyAdmin4: phpmyadmin: cross-site scripting (XSS) flaw fixed in versions 4.0.10.5, 4.1.14.6, and 4.2.10.1 (PMASA-2014-12) [epel-5]
Summary: CVE-2014-8326 phpMyAdmin4: phpmyadmin: cross-site scripting (XSS) flaw fixed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: phpMyAdmin4
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-22 02:35 UTC by Murray McAllister
Modified: 2015-01-04 22:42 UTC (History)
2 users (show)

Fixed In Version: phpMyAdmin4-4.0.10.5-1.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-12 23:14:59 UTC
Type: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-10-22 02:35:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-5 tracking bug for phpMyAdmin3: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-10-22 02:35:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1155362,1155365

# Description of your update
notes=Security fix for CVE-2014-8326

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1155362,1155365

Comment 2 Robert Scheck 2014-10-22 14:34:12 UTC
Murray, you must mean phpMyAdmin4 rather phpMyAdmin3. The phpMyAdmin3 package
has been orphaned and removal from the repository has been requested.

Comment 3 Fedora Update System 2014-10-23 19:57:23 UTC
phpMyAdmin4-4.0.10.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/phpMyAdmin4-4.0.10.5-1.el5

Comment 4 Fedora Update System 2014-10-28 11:04:20 UTC
Package phpMyAdmin4-4.0.10.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing phpMyAdmin4-4.0.10.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3651/phpMyAdmin4-4.0.10.5-1.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-12 23:14:59 UTC
phpMyAdmin4-4.0.10.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.